## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-snakemake-storage-plugin-xrootd
Version:        0.1.3
Release:        %autorelease
Summary:        Snakemake storage plugin for xrootd storage

# SPDX
License:        MIT
URL:            https://github.com/snakemake/snakemake-storage-plugin-xrootd
# We use the GitHub archive instead of the PyPI sdist to get CHANGELOG.md and
# the tests.
Source:         %{url}/archive/v%{version}/snakemake-storage-plugin-xrootd-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
# See: [tool.poetry.dev-dependencies] in pyproject.toml
BuildRequires:  %{py3_dist pytest}
BuildRequires:  snakemake >= 8

%global common_description %{expand:
A Snakemake storage plugin for handling input and output via XRootD.}

%description %{common_description}


%package -n python3-snakemake-storage-plugin-xrootd
Summary:        %{summary}

%description -n python3-snakemake-storage-plugin-xrootd %{common_description}


%prep
%autosetup -n snakemake-storage-plugin-xrootd-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files snakemake_storage_plugin_xrootd


%check
# Just in case the tests are not very thorough:
%pyproject_check_import

# The following test requires a running XRootD server; this may or may not be
# possible to arrange, but would be tedious and complex at best.
k="${k-}${k+ and }not (TestStorage and test_storage)"

%pytest -v -k "${k-}" tests/tests.py


%files -n python3-snakemake-storage-plugin-xrootd -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Wed Aug 21 2024 Packit <hello@packit.dev> - 0.1.3-1
- Update to 0.1.3 upstream release
- Resolves: rhbz#2306485

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 16 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.2-1
- Initial package (close RHBZ#2297665)
## END: Generated by rpmautospec
